# Class CIM_MemoryCheck
extends CIM_Check

MemoryCheck specifies a condition for the minimum amount of memory that needs to be available on a system. The amount is specified in the MemorySize property. The details of this Check are compared with the value of the CIM_OperatingSystem. FreePhysicalMemory property - where the CIM_OperatingSystem object is related (using InstalledOS) to the CIM_Computer System instance that describes the environment. When the value of the FreePhysicalMemory property is greater than or equal to the value specified in MemorySize, the Check is satisfied.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_MemoryCheck

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

MemoryCheck specifies a condition for the minimum amount of memory that needs to be available on a system. The amount is specified in the MemorySize property. The details of this Check are compared with the value of the CIM_OperatingSystem. FreePhysicalMemory property - where the CIM_OperatingSystem object is related (using InstalledOS) to the CIM_Computer System instance that describes the environment. When the value of the FreePhysicalMemory property is greater than or equal to the value specified in MemorySize, the Check is satisfied.

UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MemorySize | uint64 |
Description | string | The amount of memory that needs to exist on a computer system for a SoftwareElement to execute properly.
ModelCorrespondence | string | CIM_OperatingSystem.FreePhysicalMemory
PUnit | string | byte * 2^10
Units | string | KiloBytes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check